#ifndef CORE_IMAGE_H
#define CORE_IMAGE_H

#include <core/Types.h>

typedef struct {
    u8* data;
    int width;
    int height;
    int channels;
} CoreImage8;

typedef struct {
    u16* data;
    int width;
    int height;
    int channels;
} CoreImage16;

bool coreInitImage8(CoreImage8* image, const char* path);
void coreDestroyImage8(CoreImage8* image);
bool coreInitImage16(CoreImage16* image, const char* path);
void coreDestroyImage16(CoreImage16* image);

#endif
